package com.kingdee.eas.custom.dormitorysystem.otherbasicdata;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class RoomTypeCollection extends AbstractObjectCollection 
{
    public RoomTypeCollection()
    {
        super(RoomTypeInfo.class);
    }
    public boolean add(RoomTypeInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(RoomTypeCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(RoomTypeInfo item)
    {
        return removeObject(item);
    }
    public RoomTypeInfo get(int index)
    {
        return(RoomTypeInfo)getObject(index);
    }
    public RoomTypeInfo get(Object key)
    {
        return(RoomTypeInfo)getObject(key);
    }
    public void set(int index, RoomTypeInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(RoomTypeInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(RoomTypeInfo item)
    {
        return super.indexOf(item);
    }
}